FTP Adapter is only using TLSv1.0 with no way to change it in 11.1.1.7 (Doc ID 2165157.1)

Last updated on SEPTEMBER 19, 2016

Applies to:

Oracle SOA Suite - Version 11.1.1.7.0 and later
Oracle Service Bus - Version 11.1.1.7.0 and later
Information in this document applies to any platform.

Symptoms

Connections using SFTP with the FTP Adapter are failing due to its use of TLSv1.0.

ERROR:    FTP command "USER returned unexpected reply code : 534".

NOTE:  The FTP Server requires TLSv1.1 or TLSv1.2


[2016-06-16T10:33:15.189-05:00] [WLS_SOA1] [ERROR] [] [oracle.soa.adapter] [tid: 18] [userId: ] [ecid: 005DMRnwO4F4epCwjCEgKo00028M0000ZU,0:1:2:1] [APP: soa-infra] [J2EE_APP.name: soa-infra] [J2EE_MODULE.name: fabric] [WEBSERVICE.name: WebService] [WEBSERVICE_PORT.name: execute_pt] [composite_instance_id: 4410002] [composite_name: ABCSImpl!1.0] [component_name: PUT_Data] [URI: /soa-infra/services/default/ABCSImpl/WebService] FTP Adapter ABCSImpl:PUT_Data [ Put_ptt::Put(opaque) ] Unable to login to server 'SERVER.COM'; FTP command USER returned unexpected reply code : 534

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms